#include <stdio.h>

int main(int argc, char* argv[])
{
	int x = -4;
	int* address = NULL;

	// Put the memory address (place number in the memory where x is stored)
	// of x in address.
	address = &x;

	// Now we can modify x.
	*address = 42;

	printf("x = %d\n", x);

	return 0;
}
